package main.java.shape;

/**
 * This class represents a bend in the lifeline and holds the necessary data for the bend.
 */
public class Bend {

    /**
     * The bend width in pixels.
     */
    public static final float BEND_WIDTH = 20;

    private double startX;
    private double yDifference;

    /**
     * Constructor
     * @param startX the start of the bend in pixels.
     * @param yDifference the difference of height the bends needs to have.
     */
    public Bend(double startX, double yDifference){
        this.startX = startX;
        this.yDifference = yDifference;
    }

    double getStartX() {
        return startX;
    }

    double getYDifference() {
        return yDifference;
    }
}
